{% load staticfiles %}
{% load static %}

{% block extra_stylesheet %}
<!-- ================== BEGIN PAGE LEVEL STYLE ================== -->
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
<!-- ================== END PAGE LEVEL STYLE ================== -->

<!-- ================== BEGIN SELECT2 CSS ================== -->
<link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<!-- ================== END SELECT2 CSS ================== -->

<!-- ================== BEGIN DATERANGE CSS ================== -->
<link href="{% static 'assets/plugins/bootstrap-daterangepicker/daterangepicker.css' %}" rel="stylesheet" />
<!-- ================== END DATERANGE CSS ================== -->


<style type="text/css">

	#chartdivA,#chartdivB,#chartdivC {
		width: 100%;
		height: 800px;
	}

	.filtros {
		display: none;
	}

	/*=========== IMPORTANTE PARA EL DATATABLE ================*/
	div.dataTables_wrapper {
    
    width: 95%;
    
    margin: 0 auto;
	}
	/*=========== IMPORTANTE PARA EL DATATABLE ================*/

	span.select2-selection__choice__remove {
		color:red;
	}
</style>

{% endblock extra_stylesheet %}


{% block container %}

<!-- ========================== HEADER ========================== -->

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item active"><span class="fecha"></span></li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header"></h1>
<!-- end page-header -->

<!-- ========================== ENDHEADER ========================== -->

<div class="filtros" id="container_ppal">

<div class="row">
		<!-- begin col-6 -->
	<div class="col-xl-12">
		<!-- begin #accordion -->
		<div id="accordion" class="accordion">
			<!-- begin card -->
			<div class="card  text-white">
				<div class="card-header bg-dark-darker pointer-cursor d-flex align-items-center" data-toggle="collapse" data-target="#collapseOne">
					<i class="fa fa-hand-pointer"></i>&nbsp;&nbsp;Selección
				</div>
				<div id="collapseOne" class="collapse show" data-parent="#accordion">
					<div class="card-body">
						<form class="form-horizontal form-bordered">

							<div class="form-group row">
								<label class="col-lg-2 col-form-label">Rango de Fechas</label>
								<div class="col-lg-3">
									<div class="input-group">
										<input type="text" id="default-daterange" name="default-daterange" class="form-control" value="" placeholder="click to select the date range" />
										<span class="input-group-append">
										<span class="input-group-text"><i class="fa fa-calendar"></i></span>
										</span>
									</div>
									<input type="hidden" name="startDate" id="startDate">
									<input type="hidden" name="endDate" id="endDate">
								</div>
								<div class="col-lg-7">
									<div class="input-group">
										<span id="primer_resumen"></span>
									</div>
								</div>
							</div>

							<div class="form-group row">
								<label class="col-lg-2 col-form-label labelA">Opción A</label>
								<div class="col-lg-3">
									<div class="input-group">
										<select name="opcionA" id="opcionA" class="select2 form-control" width="100%" >
											<option value="todos">..:: Opción ::..</option>
										</select>
									</div>
								</div>
								<div class="col-lg-7">
									<div class="input-group">
										<select name="eleccionA[]" id="eleccionA" multiple="" class="select2 form-control" width="100%"></select>
									</div>
								</div>
							</div>

							<div class="form-group row">
								<label class="col-lg-2 col-form-label labelB">Opción B</label>
								<div class="col-lg-3">
									<div class="input-group">
										<select name="opcionB" id="opcionB" class="select2 form-control" width="100%" >
											<option value="todos">..:: Opción ::..</option>
										</select>
									</div>
								</div>
								<div class="col-lg-7">
									<div class="input-group">
										<select name="eleccionB[]" id="eleccionB" multiple="" class="select2 form-control" width="100%"></select>
									</div>
								</div>
							</div>

							<div class="form-group row">
								<label class="col-lg-2 col-form-label labelC">Opción C</label>
								<div class="col-lg-3">
									<div class="input-group">
										<select name="opcionC" id="opcionC" class="select2 form-control" width="100%" >
											<option value="todos">..:: Opción ::..</option>
										</select>
									</div>
								</div>
								<div class="col-lg-7">
									<div class="input-group">
										<select name="eleccionC[]" id="eleccionC" multiple="" class="select2 form-control" width="100%"></select>
									</div>
								</div>
							</div>

							<div class="form-group row">
								<div class="col-lg-2 text-center">
									<button type="button" class="btn btn-default btn-xs" title="Reset" id="btn_reset">
										<i class="fa fa-redo"></i>
									</button>
								</div>
								<div class="col-lg-8">
									<div id="resumen"></div>
								</div>
								<div class="col-lg-2">
									<button type="button" class="btn btn-warning btn-xs" title="Consultar" id="btn_play" >
										<i class="fa fa-play"></i>
									</button>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
			<!-- end card -->
			<!-- begin card -->
			<div class="card bg-dark text-white filtros" id="card2">
				<div class="card-header bg-dark-darker pointer-cursor d-flex align-items-center collapsed" data-toggle="collapse" data-target="#collapseTwo">
					<i class="fa fa-filter text-warning"></i>&nbsp;&nbsp;Filtros
				</div>
				<div id="collapseTwo" class="collapse" data-parent="#accordion">
					<div class="card-body">
						<form class="form-horizontal form-bordered">

							<div class="form-group row">
								<div class="col-lg-4">
									<select name="filtroA" id="filtroA" class="select2 form-control" width="100%">
										<option value="todos">..:: Filtro ::..</option>
									</select>
									
								</div>
								<div class="col-lg-4">
									<select name="filtroB" id="filtroB" class="select2 form-control" width="100%">
										<option value="todos">..:: Filtro ::..</option>
									</select>

								</div>
								<div class="col-lg-4">
									<select name="filtroC" id="filtroC" class="select2 form-control" width="100%">
										<option value="todos">..:: Filtro ::..</option>
									</select>

								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
			<!-- end card -->
		</div>
		<!-- end #accordion -->
	</div>
	<!-- end col-6 -->
</div>

<hr class="divider">

<!-- ========================= TABS - TABLA ================================ -->
<div class="row" id="container">
	
	<hr class="divider">
	<!-- begin col-10 -->
	<div class="col-xl-12">
		<!-- begin nav-tabs -->
		<ul class="nav nav-tabs">
			<li class="nav-item">
				<a href="#default-tab-1" data-toggle="tab" class="nav-link active" id="tab_grafico">
					<span class="d-sm-none"><i class="fa fa-chart-line"></i>&nbsp;&nbsp;Gráfico</span>
					<span class="d-sm-block d-none"><i class="fa fa-chart-line"></i>&nbsp;&nbsp;Gráfico</span>
				</a>
			</li>
			<li class="nav-item filtros" id="tab2">
				<a href="#default-tab-2" data-toggle="tab" class="nav-link">
					<span class="d-sm-none"><i class="fa fa-hand-pointer"></i>&nbsp;&nbsp;Tabla de Selección</span>
					<span class="d-sm-block d-none"><i class="fa fa-hand-pointer"></i>&nbsp;&nbsp;Tabla de Selección</span>
				</a>
			</li>
			<li class="nav-item filtros" id="tab3">
				<a href="#default-tab-3" data-toggle="tab" class="nav-link">
					<span class="d-sm-none"><i class="fa fa-list"></i>&nbsp;&nbsp;Tabla de usuarios</span>
					<span class="d-sm-block d-none"><i class="fa fa-users"></i>&nbsp;&nbsp;Tabla de usuarios</span>
				</a>
			</li>
		</ul>
		<!-- end nav-tabs -->
		<!-- begin tab-content -->
		<div class="tab-content">
			<!-- begin tab-pane -->
			<div class="tab-pane fade active show" id="default-tab-1">
				<h3 class="m-t-10"><i class="fa fa-chart-line"></i>&nbsp;&nbsp;Gráfico</h3>
				<div id="chartdiv" style="width: 100%; height:800px;"></div>
			</div>
			<!-- end tab-pane -->
			<!-- begin tab-pane -->
			<div class="tab-pane fade" id="default-tab-2">
				<!-- begin panel -->
				<div class="panel panel-inverse">
					<!-- begin panel-heading -->
					<div class="panel-heading">
						<h4 class="panel-title"><i class="fa fa-hand-pointer"></i>&nbsp;&nbsp;Tabla de Selección</h4>
						<div class="panel-heading-btn">
							
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
							
						</div>
					</div>
					<!-- end panel-heading -->

					<!-- begin panel-body -->
					<div class="panel-body">
						<div class="table-responsive">
							<table id="example" class="table table-striped table-bordered table-td-valign-middle" style="width: 100%">
								<thead>
									<tr>
									<th nowrap="" class="_A" title="Selección A" width="25%">&nbsp;&nbsp;Selección A&nbsp;&nbsp;</th>
									<th nowrap="" class="_B" title="Selección B" width="25%">&nbsp;&nbsp;Selección B&nbsp;&nbsp;</th>
									<th nowrap="" class="_C" title="Selección C" width="25%">&nbsp;&nbsp;Selección C&nbsp;&nbsp;</th>
									<th nowrap="" title="Nro de servicios">Servicios</th>
									<th nowrap="" title="Recaudación">Recaudación</th>
									<th nowrap="" title="Promedio">Promedio</th>
									<th nowrap="" title="Mediana">Mediana</th>
									<th nowrap="" title="Varianza">Varianza</th>
									<th nowrap="" title="Desviación standart">Desviación std</th>
									<th nowrap="" title="Máximo">Máximo</th>
									<th nowrap="" title="Mínimo">Mínimo</th>
									
									</tr>
								</thead>
								<tfoot>
									<tr>
										<th nowrap=""><b>Total</b></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					<!-- end panel-body -->
				</div>
				<!-- end panel -->
			</div>
			<!-- end tab-pane -->
			<!-- begin tab-pane -->
			<div class="tab-pane fade" id="default-tab-3">
				<!-- begin panel -->
				<div class="panel panel-inverse">
					<!-- begin panel-heading -->
					<div class="panel-heading">
						<h4 class="panel-title"><i class="fa fa-users"></i>&nbsp;&nbsp;Listado de clientes</h4>
						<div class="panel-heading-btn">
							
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
							
						</div>
					</div>
					<!-- end panel-heading -->

					<!-- begin panel-body -->
					<div class="panel-body">
						<div class="table-responsive">
							<table id="example2" class="table table-striped table-bordered table-td-valign-middle" style="width: 100%">
								<thead>
									<tr>
										<th class="_A" title="Selección A">&nbsp;&nbsp;Selección A&nbsp;&nbsp;</th>
										<th class="_B" title="Selección B">&nbsp;&nbsp;Selección B&nbsp;&nbsp;</th>
										<th class="_C" title="Selección C">&nbsp;&nbsp;Selección C&nbsp;&nbsp;</th>
										<th nowrap="" title="Cliente">Cliente</th>
										<th nowrap="" title="RUT">RUT</th>
										<th nowrap="" title="Nro de contrato">Nro de contrato</th>
										<th nowrap="" title="Dirección">Dirección</th>
										<th nowrap="" title="Nro de servicios">Servicios</th>

										<th nowrap="" title="Recaudación">Recaudación</th>

										<th nowrap="" title="Promedio">Promedio</th>
										<th nowrap="">Acciones</th>
									</tr>
								</thead>
								<tfoot>
									<tr>
										<th class="" colspan="5"><b>Total</b></th>
										<th class=""></th>
										<th class=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
										<th nowrap=""></th>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					<!-- end panel-body -->
				</div>
				<!-- end panel -->
			</div>
			<!-- end tab-pane -->
		</div>
		<!-- end tab-content -->

	</div>
</div>

<!-- ========================= END TABS - TABLA ================================ -->


</div>
{% endblock container %}


{% block extra_javascript %}

<script type="text/javascript" src="{% static 'assets/plugins/datatables.net/js/jquery.dataTables.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/apexcharts/dist/apexcharts.min.js' %}"></script>

<!-- ================== BEGIN SELECT2 JS ================== -->
<script type="text/javascript" src="{% static 'assets/plugins/select2/dist/js/select2.full.min.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>

<script type="text/javascript" src="{% static 'assets/plugins/select2/dist/js/i18n/es.js' %}"></script>

<!-- ================== END SELECT2 JS ================== -->

<!-- ================== BEGIN DATERANGE JS ================== -->
<script type="text/javascript" src="{% static 'assets/plugins/moment/moment.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/plugins/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
<!-- ================== END DATERANGE JS ================== -->

<!-- ================== BEGIN DATATABLE PERSONALIZADOS JS ================== -->
<script type="text/javascript" src="{% static 'custom-table/myTable.js' %}"></script>
<!-- ================== END DATATABLE PERSONALIZADOS JS ================== -->

<script type="text/javascript" src="{% static 'eagle/customers/customers_dinamic.js' %}"></script>
{% endblock extra_javascript %}